/*************************************************************************
 *
 * DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 * 
 * Copyright 2008 by Sun Microsystems, Inc.
 *
 * OpenOffice.org - a multi-platform office productivity suite
 *
 * $RCSfile: MemberResult.idl,v $
 * $Revision: 1.7 $
 *
 * This file is part of OpenOffice.org.
 *
 * OpenOffice.org is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License version 3
 * only, as published by the Free Software Foundation.
 *
 * OpenOffice.org is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License version 3 for more details
 * (a copy is included in the LICENSE file that accompanied this code).
 *
 * You should have received a copy of the GNU Lesser General Public License
 * version 3 along with OpenOffice.org.  If not, see
 * <http://www.openoffice.org/license.html>
 * for a copy of the LGPLv3 License.
 *
 ************************************************************************/

#ifndef __com_sun_star_sheet_MemberResult_idl__
#define __com_sun_star_sheet_MemberResult_idl__

//=============================================================================

module com {  module sun {  module star {  module sheet {

//=============================================================================

/** describes a result of a DataPilot member.

    @see com::sun::star::sheet::XDataPilotMemberResults
 */
published struct MemberResult
{
    /** the internal name of the field.
     */
    string Name;

    //-------------------------------------------------------------------------

    /** the visible name of the field.
     */
    string Caption;

    //-------------------------------------------------------------------------

    /** contains flags describing the result.

        @see com::sun::star::sheet::MemberResultFlags
     */
    long Flags;

};

//=============================================================================

}; }; }; };

#endif

